varying highp vec2 textureCoordinate;
precision highp float;

uniform sampler2D inputImageTexture;
uniform sampler2D curve;
uniform lowp int isPreview;
void main()
{

    float xCoordinate = textureCoordinate.x;
	float yCoordinate = textureCoordinate.y;

	lowp vec4 textureColor = texture2D( inputImageTexture, vec2(xCoordinate, yCoordinate));
    if(textureColor.a <= 0.0)
        discard;
	lowp vec4 textureColor2 = texture2D( curve, vec2(xCoordinate, yCoordinate));


    gl_FragColor = vec4(mix(textureColor.rgb, textureColor2.rgb, textureColor2.a * 0.2), textureColor.a);
}